# Set-RASCPUOptimizationSettings.md

## NAME

Set-RASCPUOptimizationSettings

## SYNOPSIS

Modifies Parallels RAS CPU optimization settings.

## SYNTAX

\*\*Set-RASCPUOptimizationSettings \[-[CPUExcludeList](#CPUExcludeList) *(string\[])*] \[[CriticalUsage](#criticalusage-string) *(uint)*] \[[EnableCPUOptimization](#enablecpuoptimization-string) *(bool)*] \[[IdleUsage](#idleusage-string) *(uint)*] \[[Replicate](#replicate-string) *(bool)*] \[[SiteId](#siteid-string) *(uint)*] \[[StartUsage](#startusage-string) *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

The Set-RASCPUOptimizationSettings cmdlet modifies Parallels RAS CPU optimization settings using the specified parameters and their values.

All parameters are optional.

## PARAMETERS

## CPUExcludeList (string\[])

Specifies items in the CPUExclude list.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

The site ID to which the RAS CPU Optimization settings refer.

```
        Required?                    false

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## StartUsage (uint)

The CPU usage percentage above which the CPU Optimization will start working.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## CriticalUsage (uint)

The CPU usage percentage above which a process will be set to idle priority.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## IdleUsage (uint)

The CPU usage percentage below which a process will be set to realtime priority.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## EnableCPUOptimization (bool)

Enables or disables the "CPU Optimization" option.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Replicate (bool)

Enables or disables the "Replicate settings" option (replicate settings to all sites).

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Set-RASCPUOptimizationSettings -EnableCPUOptimization $true -StartUsage 25

Modifies the specified CPU optimization parameters.

## RELATED LINKS

* [Get-RASCPUOptimizationSettings](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rascpuoptimizationsettings.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rascpuoptimizationsettings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
